package com.dev.swms.client.ui.javabean;

import com.google.gwt.user.client.rpc.IsSerializable;

public class PT_INFO implements IsSerializable {
	
	private Long id;
	/** 发货单号 */
	private String code;	
	/** 订单数量 */
	private double orderQuantity;	
	/** 预分配数量 */
	private double preAllocatedQuantity;
	/** 已分配数量 */
	private double allocatedQuantity;
	/** 拣货数量 */
	private double pickedQuantity;

	public  PT_INFO(){
		
	}		
	public  PT_INFO(Long id,Object code,Object orderQuantity,Object preAllocatedQuantity,Object allocatedQuantity,Object pickedQuantity){
		this.id = (Long)id;
		this.code = (String)code;
		this.orderQuantity = (Double)orderQuantity;
		this.preAllocatedQuantity = (Double)preAllocatedQuantity;
		this.allocatedQuantity = (Double)allocatedQuantity;
		this.pickedQuantity = (Double)pickedQuantity;
	}
	
	public  PT_INFO(Object code,Object orderQuantity,Object preAllocatedQuantity,Object allocatedQuantity,Object pickedQuantity){
		this(null,code,orderQuantity,preAllocatedQuantity,allocatedQuantity,pickedQuantity);

	}
	
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public double getOrderQuantity() {
		return orderQuantity;
	}

	public void setOrderQuantity(double orderQuantity) {
		this.orderQuantity = orderQuantity;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}


	public double getPreAllocatedQuantity() {
		return preAllocatedQuantity;
	}


	public void setPreAllocatedQuantity(double preAllocatedQuantity) {
		this.preAllocatedQuantity = preAllocatedQuantity;
	}


	public double getAllocatedQuantity() {
		return allocatedQuantity;
	}


	public void setAllocatedQuantity(double allocatedQuantity) {
		this.allocatedQuantity = allocatedQuantity;
	}


	public double getPickedQuantity() {
		return pickedQuantity;
	}


	public void setPickedQuantity(double pickedQuantity) {
		this.pickedQuantity = pickedQuantity;
	}
	

}
